Cgl 0.60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
CglClique::frac_graph Struct Reference

A graph corresponding to a fractional solution of an LP. More...

Collaboration diagram for CglClique::frac_graph:
[legend]

## Public Member Functions
| frac_graph ()

## Public Attributes
int | nodenum
| # of nodes = # of fractional values in the LP solution More...
int | edgenum
| # of edges in the graph More...
double | density
| density= edgenum/(nodenum choose 2) More...
int | min_deg_node
int | min_degree
int | max_deg_node
int | max_degree
fnode * | nodes
| The array of the nodes in the graph. More...
int * | all_nbr
| The array of all the neighbors. More...
double * | all_edgecost
| The array of the costs of the edges going to the neighbors. More...

## Detailed Description

A graph corresponding to a fractional solution of an LP.

Two nodes are adjacent iff their columns are non-orthogonal.

Definition at line 113 of file CglClique.hpp.

## Constructor & Destructor Documentation

CglClique::frac_graph::frac_graph | ( |  | ) |
| inline

Definition at line 132 of file CglClique.hpp.

## Member Data Documentation

int CglClique::frac_graph::nodenum

# of nodes = # of fractional values in the LP solution

Definition at line 115 of file CglClique.hpp.

int CglClique::frac_graph::edgenum

# of edges in the graph

Definition at line 117 of file CglClique.hpp.

double CglClique::frac_graph::density

density= edgenum/(nodenum choose 2)

Definition at line 119 of file CglClique.hpp.

int CglClique::frac_graph::min_deg_node

Definition at line 120 of file CglClique.hpp.

int CglClique::frac_graph::min_degree

Definition at line 121 of file CglClique.hpp.

int CglClique::frac_graph::max_deg_node

Definition at line 122 of file CglClique.hpp.

int CglClique::frac_graph::max_degree

Definition at line 123 of file CglClique.hpp.

fnode* CglClique::frac_graph::nodes

The array of the nodes in the graph.

Definition at line 125 of file CglClique.hpp.

int* CglClique::frac_graph::all_nbr

The array of all the neighbors.

First the indices of the nodes adjacent to node 0 are listed, then those adjacent to node 1, etc.

Definition at line 128 of file CglClique.hpp.

double* CglClique::frac_graph::all_edgecost

The array of the costs of the edges going to the neighbors.

Definition at line 130 of file CglClique.hpp.

The documentation for this struct was generated from the following file:

- /tmp/Cgl-0.60.2/Cgl/src/CglClique/CglClique.hpp